
QGIS Application - Bug report #15979

%20 in QGIs project file

2016-12-13 03:36 AM - Stephen Remde

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 23895

Description

Not sure if this is a windows/linux or a qgis desktop/qgis server incompatiblity, but this should be enough information to pinpoint it:

1) Create a project in QGIS windows (tested with 2.16.1)

2) Add a CSV delimited layer where the filename contains a space

3) Use this project with QGIS server on linus (tested with libqgis-server2.14.3 ubuntu 14.04)

QGIS server will fail to load the layers

4) replace %20 with a space in the project file, and this will fix the problem

History

#1 - 2016-12-13 11:44 PM - Saber Razmjooei

- Category changed from Project Loading/Saving to QGIS Server

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2017-10-20 10:18 AM - René-Luc ReLuc

- Description updated

- Status changed from Open to Feedback

Has it been fixed in 2.18 ?

#4 - 2018-11-11 12:59 AM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
